sweethome3d (7.5+dfsg-1~bpo12+1) lernstick-12-backports; urgency=medium

  * Rebuild for lernstick-12-backports.

 -- Ronny Standtke <ronny.standtke@gmx.net>  Sat, 02 Nov 2024 13:00:39 +0100

sweethome3d (7.5+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.5+dfsg
  * Refreshing patches
  * Rewriting d/copyright

 -- Pierre Gruet <pgt@debian.org>  Mon, 30 Sep 2024 21:42:19 +0200

sweethome3d (7.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.3+dfsg (Closes: #1071072)
  * Refreshing patches
  * Raising Standards version to 4.7.0 (no change)
  * Adding url and developer tags to the MetaInfo file
  * Using secure URI for homepage

  [ Otto Kekäläinen ]
  * Enable Salsa-CI

 -- Pierre Gruet <pgt@debian.org>  Tue, 14 May 2024 22:38:57 +0200

sweethome3d (7.2+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.2+dfsg (Closes: #1052519)
  * Refreshing patches
  * Repacking to exclude jars, shared libs and dlls
  * Refreshing d/copyright
  * Removing obsolete get-orig-source rule, using repack mechanism instead
  * Raising Standards version to 4.6.2:
    - Rules-Requires-Root: no
  * Refreshing build-dependencies and their minimal versions
  * Using DEB_VERSION_UPSTREAM instead of parsing changelog in d/rules
  * Removing CalculatorFormat.java from the build as it cannot be built anymore

 -- Pierre Gruet <pgt@debian.org>  Sun, 04 Feb 2024 23:18:06 +0100

sweethome3d (7.0.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Adding an --add-exports argument to the shell launcher (Closes: #1024987)
  * Installing a MetaInfo file

 -- Pierre Gruet <pgt@debian.org>  Mon, 05 Dec 2022 21:26:03 +0100

sweethome3d (7.0.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Adding the freehep-io jar to the runtime classpath (Closes: #1021196)
  * Raising the d/watch version to 4

 -- Pierre Gruet <pgt@debian.org>  Sun, 04 Dec 2022 23:42:47 +0100

sweethome3d (7.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version 7.0.2+dfsg.
  * Declare compliance with Debian Policy 4.6.1.
  * Refresh the patches.

 -- Markus Koschany <apo@debian.org>  Wed, 10 Aug 2022 23:05:08 +0200

sweethome3d (6.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version 6.6.2+dfsg.

 -- Markus Koschany <apo@debian.org>  Mon, 22 Nov 2021 00:09:36 +0100

sweethome3d (6.6+dfsg-1) unstable; urgency=medium

  * New upstream version 6.6+dfsg
  * Refresh the patches.
  * Declare compliance with Debian Policy 4.6.0.
  * debian/sweethome3d.sh: Find Java8 runtime
  * debian/sweethome3d.sh: do not try to find unnecessary jar files.
    Thanks to Andrius Merkys for the report. (Closes: #985690)

 -- Markus Koschany <apo@debian.org>  Mon, 04 Oct 2021 22:16:46 +0200

sweethome3d (6.4.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Locating freehep-graphicsbase (Closes: #985604)

 -- Andrius Merkys <merkys@debian.org>  Mon, 22 Mar 2021 05:44:09 -0400

sweethome3d (6.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.2+dfsg.

 -- Markus Koschany <apo@debian.org>  Sat, 19 Sep 2020 22:53:24 +0200

sweethome3d (6.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Adding missing build-depends on libfreehep-graphics2d-java.
  * Adding missing build-depends on libfreehep-graphicsio-java.
  * Wrapping and sorting.

 -- Andrius Merkys <merkys@debian.org>  Wed, 29 Jul 2020 02:49:30 -0400

sweethome3d (6.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with FreeHEP 2.4.

 -- Andrius Merkys <merkys@debian.org>  Wed, 29 Jul 2020 01:29:48 -0400

sweethome3d (6.3+dfsg-1) unstable; urgency=medium

  * New upstream version 6.3+dfsg.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Mon, 20 Apr 2020 13:35:01 +0200

sweethome3d (6.2+dfsg-1) unstable; urgency=medium

  * New upstream version 6.2+dfsg.
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Tighten sweethome3d to java8-runtime.

 -- Markus Koschany <apo@debian.org>  Sat, 20 Jul 2019 22:48:03 +0200

sweethome3d (6.1.2+dfsg-2) unstable; urgency=medium

  * Replace dependency on icedtea-netx-common with icedtea-netx.
    (Closes: #924594)

 -- Markus Koschany <apo@debian.org>  Sun, 24 Mar 2019 14:00:44 +0100

sweethome3d (6.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.2+dfsg.

 -- Markus Koschany <apo@debian.org>  Wed, 06 Feb 2019 22:59:39 +0100

sweethome3d (6.1+dfsg-1) unstable; urgency=medium

  [ John Scott ]
  * move Vcs to Salsa

  [ Markus Koschany ]
  * New upstream version 6.1+dfsg.
  * Declare compliance with Debian Policy 4.3.0.
  * Rebase no-MacOSX.patch.

 -- Markus Koschany <apo@debian.org>  Mon, 28 Jan 2019 15:19:27 +0100

sweethome3d (6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 6.0+dfsg
  * Drop import-library-with-OpenJDK10.patch and java9-compatibility.patch.
    Fixed upstream.
  * Rebase all patches for new release.
  * Add jeks-enum.patch and fix outdated use of keyword enum as a variable name.
  * Update README.source and explain that the source files for jeks and
    jeksparser must be copied manually.

 -- Markus Koschany <apo@debian.org>  Sun, 14 Oct 2018 15:59:35 +0200

sweethome3d (5.7+dfsg-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.2.1.
  * Add import-library-with-OpenJDK10.patch and make it possible to import
    furniture libraries with OpenJDK 10 or later.
    Thanks to Jiri Slaby for the patch. (LP: #1773532)

 -- Markus Koschany <apo@debian.org>  Sat, 01 Sep 2018 16:14:22 +0200

sweethome3d (5.7+dfsg-2) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Fixed the build failure with Java 9 (Closes: #873224)

 -- Markus Koschany <apo@debian.org>  Sat, 17 Mar 2018 17:49:02 +0100

sweethome3d (5.7+dfsg-1) unstable; urgency=medium

  * New upstream version 5.7+dfsg.
  * sweethome3d.sh: Require Java 7 at least.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Define MimeType application/sweethome3d in desktop file and install
    a MIME type handler. (Closes: #885926)
  * Refresh no-MacOSX.patch.

 -- Markus Koschany <apo@debian.org>  Sun, 28 Jan 2018 17:06:57 +0100

sweethome3d (5.6+dfsg-1) unstable; urgency=medium

  * New upstream version 5.6+dfsg.
  * Declare compliance with Debian Policy 4.1.1.

 -- Markus Koschany <apo@debian.org>  Sat, 28 Oct 2017 00:15:11 +0200

sweethome3d (5.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version 5.5.2+dfsg.

 -- Markus Koschany <apo@debian.org>  Mon, 25 Sep 2017 01:46:09 +0200

sweethome3d (5.5+dfsg-1) unstable; urgency=medium

  * New upstream version 5.5+dfsg.
  * Declare compliance with Debian Policy 4.1.0.
  * d/control: Require at least a Java 7 runtime.
  * Don't install the deprecated xpm icon anymore.
  * Refresh patches for new release.

 -- Markus Koschany <apo@debian.org>  Wed, 13 Sep 2017 21:41:23 +0200

sweethome3d (5.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with Debian Policy 4.0.0.
  * Update copyright years.

 -- Markus Koschany <apo@debian.org>  Tue, 20 Jun 2017 13:14:55 +0200

sweethome3d (5.4+dfsg-1) experimental; urgency=medium

  * New upstream version 5.4+dfsg.
  * Remove Gabriele Giacone from Uploaders and add myself to it.
    (Closes: #856769)
  * wrap-and-sort -sab.
  * Use only Build-Depends field.
  * Add -Dsun.java2d.opengl=true to startup script. (Closes: #854030)
  * Refresh patches for latest release.
  * Drop debian menu file.

 -- Markus Koschany <apo@debian.org>  Sun, 05 Mar 2017 23:45:05 +0100

sweethome3d (5.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update sweethome3d.desktop's Exec command and pass the %U parameter to it.
    This allows users to choose Sweethome3d from the Open with dialogue.
    Thanks to Nagy Attila István for the report. (Closes: #849885)

 -- Markus Koschany <apo@debian.org>  Tue, 03 Jan 2017 01:46:23 +0100

sweethome3d (5.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3+dfsg.

 -- Markus Koschany <apo@debian.org>  Mon, 28 Nov 2016 23:36:58 +0100

sweethome3d (5.2+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Gabriele Giacone ]
  * Make build reproducible, remove timestamps from PNG files.

  [ Markus Koschany ]
  * New upstream version 5.2+dfsg. (Closes: #798864)
  * Remove override for dh_builddeb because xz is the default now.
  * Switch to compat level 10.
  * Remove source/options.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs: Switch to cgit and https.
  * Rebase 05disable_checkForUpdates.patch.
  * sweethome3d.desktop: Add a comment in German.
  * Update debian/copyright. Use format 1.0.
  * Set -Dcom.eteks.sweethome3d.j3d.checkOffScreenSupport=false to fix crashes
    and segmentation faults when trying to take a photo or open the preferences
    menu. Thanks to Török Edwin for the suggested fix.
    (Closes: #838387, #750821)

 -- Markus Koschany <apo@debian.org>  Wed, 12 Oct 2016 14:17:01 +0200

sweethome3d (4.5+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Set checkForUpdates=false as the default. (Closes: #778947).

 -- tony mancill <tmancill@debian.org>  Sun, 22 Feb 2015 09:40:22 -0800

sweethome3d (4.5+dfsg-2) unstable; urgency=medium

  * 4.5 replaces Loader3DS with a library inspired from lib3ds.
    + Remove java3ds-fileloader from build and runtime deps.
    + Update manifest and java wrapper accordingly.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Fri, 24 Oct 2014 03:40:59 +0200

sweethome3d (4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Refresh patches.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 23 Oct 2014 00:55:27 +0200

sweethome3d (4.4+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #754277)
  * Depend on sunflow 0.07.2.svn396+dfsg-11.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 18 Jun 2014 12:02:29 +0200

sweethome3d (4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 28 Jan 2014 02:27:55 +0100

sweethome3d (4.2+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 05 Nov 2013 13:02:16 +0100

sweethome3d (4.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Fix icons gamma correction (Closes: #621740).
  * Canonical URI in VCS-* fields.
  * Bump Standards-Version to 3.9.4 (no changes).
  * Depend on sunflow 0.07.2.svn396+dfsg-10.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 26 Aug 2013 01:32:38 +0200

sweethome3d (4.0+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Fri, 22 Mar 2013 23:35:34 +0100

sweethome3d (3.7+dfsg-2) unstable; urgency=low

  * Fix home path added to application folder property (Closes: #695528).
  * Make video feature removal more explicit (LP: #996714).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 21 Nov 2012 00:41:38 +0100

sweethome3d (3.7+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 28 Oct 2012 17:18:54 +0100

sweethome3d (3.6+dfsg-3) unstable; urgency=low

  * Rename sh3d-furnitures to -furniture and downgrade it to Recommends
    (Closes: #689875).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 08 Oct 2012 13:54:18 +0200

sweethome3d (3.6+dfsg-2) unstable; urgency=low

  * Add sweethome3d-furniture dependency (Closes: #672892).
    + Set system-wide application folder.
  * Add -open launcher parameter (from upstream).
  * Remove DMUA flag.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 25 Sep 2012 13:51:37 +0200

sweethome3d (3.6+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #687996).
  * B-D on default-jdk, runtime on default-jre (Closes: #684298).
  * Remove gamma correction from icons (Closes: #687823).
  * Fix binary xz compression.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 18 Sep 2012 13:36:44 +0200

sweethome3d (3.5+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Switch source and binary to xz compression.
  * Bump Standards-Version to 3.9.3 (no changes).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 16 Jun 2012 12:45:35 +0200

sweethome3d (3.4+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #654989).
  * Add libbatik-java as build and runtime dep.
  * Replace dep on icedtea-netx with icedtea-netx-common.
  * Fix d/copyright.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 28 Jan 2012 02:37:57 +0000

sweethome3d (3.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Switch to "public" package.
  * Add icedtea-netx as B-D and runtime dependency (Closes: #626052, #626050).
  * Add German translation and StartupWMClass to desktop file (Closes: #621740).
  * Add Class-Path to manifest file.
  * Bump Standards Version to 3.9.2 (no changes).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 08 Aug 2011 00:57:46 +0200

sweethome3d (3.1+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 20 Mar 2011 16:21:36 +0100

sweethome3d (3.0+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 30 Dec 2010 02:20:14 +0100

sweethome3d (2.6+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Added upstream changelog.
  * Standards version to 3.9.1.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Fri, 27 Aug 2010 19:06:09 +0200

sweethome3d (2.5+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 26 Jun 2010 20:13:47 +0200

sweethome3d (2.4+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 29 May 2010 13:17:46 +0200

sweethome3d (2.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Replaced sunflow with libsunflow-java.
  * Disabled video creation feature based on JMF.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 16 May 2010 19:45:39 +0200

sweethome3d (2.2+dfsg-3) unstable; urgency=low

  * Fixed export to SVG format (Closes: #580778).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 08 May 2010 17:06:24 +0200

sweethome3d (2.2+dfsg-2) unstable; urgency=low

  * Fixed bug when run with Sun jvm (Closes: #578413).
  * Fixed patch to ignore missing contributors furnitures (Closes: #578413).
  * Added janino to classpath to fix global illumination with shadows in photo
    from 3D view.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 24 Apr 2010 22:49:33 +0200

sweethome3d (2.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #475922)

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 28 Mar 2010 18:35:10 +0200
